{% if awx_webhook_payload.data.mode %}
interface {{ awx_webhook_payload.data.name }}
  switchport
 {% if "tagged-all" in awx_webhook_payload.data.mode.value %}
 interface {{ awx_webhook_payload.data.name }}
#  {% if "C37" or "C45" in awx_webhook_payload.data.custom_fields.device_type %}
#   interface {{ awx_webhook_payload.data.name }}
#    switchport trunk encapsulation dot1q
#  {% endif %}
   interface {{ awx_webhook_payload.data.name }}
    switchport mode trunk
   {% if awx_webhook_payload.data.untagged_vlan.vid %}
    switchport trunk native vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
   {% endif %}
 {% elif "tagged" in awx_webhook_payload.data.mode.value %}
 interface {{ awx_webhook_payload.data.name }}
  switchport
  {% if awx_webhook_payload.data.custom_fields.trunk_encap is true %}
   interface {{ awx_webhook_payload.data.name }}
    switchport trunk encapsulation dot1q
    switchport mode trunk
  {% else %}
   interface {{ awx_webhook_payload.data.name }}
    switchport mode trunk
  {% endif %}
  {% if awx_webhook_payload.data.untagged_vlan %}
 	 switchport trunk native vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
  {% else %}
   interface {{ awx_webhook_payload.data.name }}
    exit
  {% endif %}
  {% if awx_webhook_payload.data.custom_fields.allowed_vlans_trunk %}
   interface {{ awx_webhook_payload.data.name }}
    switchport trunk allowed vlan {{ awx_webhook_payload.data.custom_fields.allowed_vlans_trunk }}
  {% else %}
   interface {{ awx_webhook_payload.data.name }}
    exit
  {% endif %}
 {% elif "access" in awx_webhook_payload.data.mode.value %}
 interface {{ awx_webhook_payload.data.name }}
#  switchport
  switchport mode access
  switchport access vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
  no vtp
  no lldp transmit
  no lldp receive
 {% endif %}
{% else %}
interface {{ awx_webhook_payload.data.name }}
  exit
{% endif %}
